document.addEventListener('DOMContentLoaded', () => {
  'use strict';

  drupalSettings.articles = new Vue({ // eslint-disable-line no-unused-vars, no-undef, max-len
    el: '#vue-articles',
    data: {
      articles: []
    },
    mounted() {
      axios
        .get('/jsonapi/node/article?page[limit]=15')
        .then(response => (this.articles = response.data.data))
    }
  });
});
